## networking-ansible 17.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

ansible-runner>=1.0.5 # Apache-2.0
debtcollector>=1.21.0
network-runner>=0.2.2 # Apache-2.0
neutron>=16.0.0.0 # Apache-2.0
neutron-lib>=2.4.0 # Apache-2.0
pbr>=2.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0

# these are explictly defined for python API support
# oslo-log is ont in openstack-requirements
# TODO(radez) figure out how to handle logging
# oslo-log

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.11.0  # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
# releasenotes
reno>=1.8.0 # Apache-2.0

=== debian/changelog ===
networking-ansible (17.0.0-2) sid; urgency=medium

  * Source-only upload to allow testing migration.
  * d/control:
    - Changing Vcs path.
    - Updating Standards-Version.
    - Adding Multi-Arch foreign.
  * d/changelog: Fixing typo in version 17.0.0-1.
  * d/copyright:
    - Changing order of copyright statements.
    - Changing superfluous file pattern.
  * d/rules: Changing override_dh_install to execute_after_dh_install.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 13 Feb 2022 13:18:52 +0100

networking-ansible (17.0.0-1) sid; urgency=medium

  * Initial release (Closes: #949589).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 28 Nov 2020 08:52:05 +0100

=== debian/control ===
Source: networking-ansible
Section: net
Priority: optional
Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-openstackdocstheme,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://opendev.org/x/networking-ansible
Vcs-Browser: https://salsa.debian.org/saki/networking-ansible
Vcs-Git: https://salsa.debian.org/saki/networking-ansible.git

Package: python-networking-ansible-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - Ansible plugin (docs)
 This is an Neutron ML2 plugin it uses ansible networking module
 to let interact Neutron with switching hardware. Furthermore it
 can be used independently from OpenStack.
 .
 This package provides the documentation for Networking-Ansible.

Package: python3-networking-ansible
Architecture: all
Depends:
 python3-network-runner,
 python3-tooz,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-ansible-doc,
Description: OpenStack virtual network service - Ansible plugin (Python 3.x)
 This is an Neutron ML2 plugin it uses ansible networking module
 to let interact Neutron with switching hardware. Furthermore it
 can be used independently from OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=networking-ansible
export PBR_VERSION="$(dpkg-query --showformat='${Version}' --show python3-pbr)"

%:
	dh ${@} --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_test:
	# disabled, testsuite doesn't work yet.

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python-$(PYBUILD_NAME)/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
	rm -rf $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html/_static/js/jquery-3.2.1*
endif

execute_after_dh_install:
	mv debian/python3-networking-ansible/usr/etc debian
